### Function

# GLib mem_set_vtable

deprecated: 2.46 since: 2.0

#### Declaration

    void
    g_mem_set_vtable (
      GMemVTable* vtable
    )

#### Description

This function used to let you override the memory allocation function. However, its use was incompatible with the use of global constructors in GLib and GIO, because those use the GLib allocators before main is reached. Therefore this function is now deprecated and is just a stub.

Available since: 2.0

Deprecated since: 2.46

This function now does nothing. Use other memory profiling tools instead.

#### Parameters

`vtable`

  Type: `GMemVTable`

  Table of memory allocation routines.

  The data is owned by the caller of the function.